Subject: [lp-wan] Barry Leiba's No Objection on draft-ietf-lpwan-ipv6-static-context-hc-21: (with COMMENT)

From: Barry Leiba via Datatracker <[email-masked]>
Date: Wed, 21 Aug 2019 20:21:05 -0700

Barry Leiba has entered the following ballot position for
draft-ietf-lpwan-ipv6-static-context-hc-21: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-lpwan-ipv6-static-context-hc/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Just a couple of things that didn’t show up in other reviews:

— Section 3 —

   LPWAN technologies have similar network architectures but different
   terminologies.

Similar to what?  Do you mean “Different LPWAN technologies”, or are you
comparing LPWAN technologies to something else?
 — Section 8.2.2.2 —

   o  their numbers MUST increase from 0 upward, from the start of the
      SCHC Packet to its end.

Just increase?  Or increase by 1?  The example in Figure 11 shows increasing by
1.  If that’s a requirement, it should say.

Figure 11 appears to have 29 windows, not 28, as it says.

---

From: <[email-masked]>
Date: Fri, 23 Aug 2019 07:27:51 +0000

Hello Barry,

Thanks for your comments and for your time to read the document.
Please see my responses inlined.
Best regards

Dominique

Le 22/08/19 05:21, « Barry Leiba via Datatracker » <[email-masked]> a

>https://datatracker.ietf.org/doc/draft-ietf-lpwan-ipv6-static-context-hc/
DB: we mean that LPWAN technologies have similarities in architecture
among them, yet they often name the architecture elements differently.
We suggest
OLD TEXT
LPWAN technologies have similar network architectures but different
terminologies.
Using the terminology defined in {{RFC8376}}, we can identify different
types of entities in a typical LPWAN network, see {{Fig-LPWANarchi}}:
NEW TEXT
LPWAN network architectures are similar among them, but each LPWAN
technology names architecture elements differently.
In this document, we use terminology from {{RFC8376}}, which identifies

>1.  If that’s a requirement, it should say.
DB: Indeed, this was a shortcoming of ours, which is fixed is the next
revision.

>Figure 11 appears to have 29 windows, not 28, as it says.
DB: thanks for catching this mistake. 

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.